apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: scrumify-gateway
spec:
  selector:
    istio: ingressgateway
  servers:
  - port:
      number: 80
      name: http
      protocol: HTTP
    hosts:
    - "*"
---
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: scrumify-##Branch##
spec:
  hosts:
    - scrumify.##Branch##.gke-demo.at.pt
  gateways:
    - scrumify-gateway
  http:
  - name: "scrumify-routes"
    route:
    - destination:
        host: scrumify.##Branch##.svc.cluster.local
        subset: v1
      weight: 100

---
apiVersion: networking.istio.io/v1alpha3
kind: DestinationRule
metadata:
  name: scrumify-##Branch##
  namespace: ##Branch##
spec:
  host: scrumify.##Branch##.svc.cluster.local
  subsets:
  - name: v1
    labels:
      version: v##Revision##
    trafficPolicy:
      loadBalancer:
        consistentHash:
          httpCookie:
            name: user
            ttl: 0s
